. ./ranger-env.sh

DST_PATH=${HDP_PATH}/ranger-admin/ews/webapp/WEB-INF/classes/ranger-plugins/indexima

echo "sending uninstall request to ranger server (${RANGER_SERVER})"
curl -k -u ${RANGER_ADMIN}:${RANGER_PASSWORD} -X DELETE  ${RANGER_SERVER}/service/public/v2/api/servicedef/name/indexima

if [ $? != 0 ] ; then 
 	echo "unable to unintall indexima plugin for ranger"
 	exit 3
fi


INDEXIMA_RANGER_DIR=${HDP_PATH}/ranger-admin/ews/webapp/WEB-INF/classes/ranger-plugins/indexima

echo "deleting file in (${INDEXIMA_RANGER_DIR})"

rm -fr ${INDEXIMA_RANGER_DIR}

echo "UNINSTALL DONE: please check the indexima section in ranger service manager"


